#ifndef __MYSQLCPPAPI_stream2string1_hh__
#define __MYSQLCPPAPI_stream2string1_hh__

#include <sstream>

namespace mysqlcppapi
{

template<class Strng, class T>
Strng stream2string(const T &object);

template<class Strng, class T>
Strng stream2string(const T &object) {
  std::ostringstream str;
  object.out_stream(str);
  str << std::ends;
  Strng s = str.str();
  return s;
}


} //namespace

#endif

